ApiEventCategory (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Enum ApiEventCategory

- java.lang.Object
- - java.lang.Enum<ApiEventCategory>
  - - com.cloudera.api.swagger.model.ApiEventCategory

- All Implemented Interfaces:
    Serializable, Comparable<ApiEventCategory>

      public enum ApiEventCategory
      extends Enum<ApiEventCategory>

  Gets or Sets ApiEventCategory

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ApiEventCategory.Adapter`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVITY_EVENT`
    `AUDIT_EVENT`
    `HBASE`
    `HEALTH_EVENT`
    `LOG_EVENT`
    `SYSTEM`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApiEventCategory` | `fromValue(String input)`
    `String` | `getValue()`
    `String` | `toString()`
    `static ApiEventCategory` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ApiEventCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          @SerializedName(value="UNKNOWN")
          public static final ApiEventCategory UNKNOWN

    - #### HEALTH_EVENT

          @SerializedName(value="HEALTH_EVENT")
          public static final ApiEventCategory HEALTH_EVENT

    - #### LOG_EVENT

          @SerializedName(value="LOG_EVENT")
          public static final ApiEventCategory LOG_EVENT

    - #### AUDIT_EVENT

          @SerializedName(value="AUDIT_EVENT")
          public static final ApiEventCategory AUDIT_EVENT

    - #### ACTIVITY_EVENT

          @SerializedName(value="ACTIVITY_EVENT")
          public static final ApiEventCategory ACTIVITY_EVENT

    - #### HBASE

          @SerializedName(value="HBASE")
          public static final ApiEventCategory HBASE

    - #### SYSTEM

          @SerializedName(value="SYSTEM")
          public static final ApiEventCategory SYSTEM

  - ### Method Detail

    - #### values

          public static ApiEventCategory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ApiEventCategory c : ApiEventCategory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ApiEventCategory valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ApiEventCategory>`

    - #### fromValue

          public static ApiEventCategory fromValue(String input)

Copyright © 2026. All rights reserved.